% Basic math
\usepackage{amssymb,amsthm,amsmath}
\newtheorem{theorem}{Theorem}[section]

% More powerful Lua macros
\usepackage{luacode}

% Julia code embedding
\usepackage[usefamily={juliacon, julia}]{pythontex}
\fvset{breaklines} % needed for line breaking (at the very least for errors)
% remove empty lines from juliaconsole
% from: https://github.com/gpoore/pythontex/issues/98#issuecomment-318078264
\makeatletter
\AtBeginEnvironment{juliaconsole}{%
	\def\FV@@PreProcessLine{%
		\expandafter\ifstrempty\expandafter{\FV@Line}{}{%
			\FV@StepLineNo
			\FV@Gobble
			\expandafter\FV@ProcessLine\expandafter{\FV@Line}}}%
}
\makeatother

% Custom commands

\newcommand{\tryshow}[2]{
	\IfFileExists{#1}{
		\includegraphics[#2]{#1}
	}{}
}